Bug 431156 - Review Request: ruby-openid - Ruby library for verifying and serving OpenID identities
Review Request: ruby-openid - Ruby library for verifying and serving OpenID i...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 21:16 EST by Allisson Azevedo
Modified: 2008-02-10 22:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-10 22:05:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2008-01-31 21:16:36 EST
Spec URL: http://allisson.fedorapeople.org/packages/ruby-openid/ruby-openid.spec
SRPM URL: http://allisson.fedorapeople.org/packages/ruby-openid/ruby-openid-2.0.3-1.fc8.src.rpm

Description: The Ruby OpenID library, with batteries included.

A Ruby library for verifying and serving OpenID identities. 
Ruby OpenID makes it easy to add OpenID authentication to 
your web applications.
Comment 1 Mamoru TASAKA 2008-02-01 06:24:09 EST
For 2.0.3-1:

* Unneeded CFLAGS
  -  export CFLAGS=... can be (and should be) removed because
     this is noarch package.

! Check
 - Please add:
------------------------------------------------------------
%check
export RUBYLIB=$RPM_BUILD_ROOT%{ruby_sitelib}

# some tests need net connection
ruby setup.rb test || :
------------------------------------------------------------
    Some tests need net connection and they fail, however IMO
    it is better not to skip all tests because of net connection
    missing.

? Documents split
-------------------------------------------------------------
[tasaka1@localhost ruby-openid-2.0.3]$ du -sh lib/
380K    lib/
[tasaka1@localhost ruby-openid-2.0.3]$ du -sh doc/
3.7M    doc/
--------------------------------------------------------------
  - The size of openid module itself is only 380K, while the size
    of documents is about 10 times of that.
    You may want to split documents files to a subpackage rpm?

? Examples
  - Would you consider to add files under examples/ to
    %doc? I don't know well about Ruby on Rails, however it seems
    that there are some useful examples for RoR.
Comment 2 Allisson Azevedo 2008-02-01 21:27:17 EST
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/ruby-openid/ruby-openid.spec
SRPM URL:
http://allisson.fedorapeople.org/packages/ruby-openid/ruby-openid-2.0.3-2.fc8.src.rpm

Changes:

- Remove CFLAGS in build section
- Create ruby-openid-doc package for docs
- Add examples for doc package
- Remove zero-length files in doc package
- Fix file-not-utf8
Comment 3 Mamoru TASAKA 2008-02-02 05:45:52 EST
Well, it seems that zero-sizes under examples should not be needed.
For example, examples/rails_openid_login_generator/openid_login_generator.rb
contains:
----------------------------------------------------------------------------
    13        m.template "user_test.rb", "test/unit/user_test.rb"
----------------------------------------------------------------------------
Comment 4 Allisson Azevedo 2008-02-09 14:57:19 EST
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/ruby-openid/ruby-openid.spec
SRPM URL:
http://allisson.fedorapeople.org/packages/ruby-openid/ruby-openid-2.0.3-3.fc8.src.rpm

Changes:

- Remove examples for doc package (the examples is not complete for inclusion in
package yet)
Comment 5 Mamoru TASAKA 2008-02-10 07:11:26 EST
Okay.

--------------------------------------------------------------------
      This package (ruby-openid) is APPROVED by me
---------------------------------------------------------------------
Comment 6 Allisson Azevedo 2008-02-10 08:09:42 EST
New Package CVS Request
=======================
Package Name: ruby-openid
Short Description: Ruby library for verifying and serving OpenID identities
Owners: allisson
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-02-10 15:25:22 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.